## dewalls 1.0.0%2Bds1

=== debian/control ===
Source: dewalls
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Wookey <wookey@debian.org>
Build-Depends: debhelper (>= 9), dh-exec, qbs (>=1.7), qtbase5-dev, libstdc++-6-dev, catch
Standards-Version: 4.1.2
Homepage: https://github.com/jedwards1211/dewalls

Package: libdewalls-dev
Architecture: any
Multi-Arch: same
Depends: libdewalls1 (= ${binary:Version}), ${misc:Depends}
Section: libdevel
Description: Parser for Walls cave survey data
 The WALLS cave survey package stores its data in .srv files. dewalls
 is a parsing library for this file format. It is implemented in C++
 and intended to be used by other cave survey software.
 .
 This package contains development files.

Package: libdewalls1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Section: libs
Description: Parser for Walls cave survey data
 The WALLS cave survey package stores its data in .srv files. dewalls
 is a parsing library for this file format. It is implemented in C++
 and intended to be used by other cave survey software.
 .
 This package is the library itself.
