## dewalls 1.0.0+ds1

=== debian/changelog ===
dewalls (1.0.0+ds1-7) unstable; urgency=medium

  * QBS build minor fix
  * Fix some lintian grumblings
  * Bump to standards 4.2.1

 -- Wookey <wookey@debian.org>  Wed, 05 Dec 2018 04:51:06 +0000

dewalls (1.0.0+ds1-6) unstable; urgency=medium

  * Fix build for qbs 1.11 (Closes: #896449)

 -- Wookey <wookey@debian.org>  Sun, 20 May 2018 23:46:19 +0100

dewalls (1.0.0+ds1-5) unstable; urgency=medium

  * Remove pointless gcc-6 (libsdtc++) build-dep (Closes: #892393)
  * Bodge tests on i386 (Closes: #887323)

 -- Wookey <wookey@debian.org>  Thu, 08 Mar 2018 18:20:37 +0000

dewalls (1.0.0+ds1-4) unstable; urgency=medium

  * Use --command-echo-mode for verbose logs
  * Make tests work
  * Use $CURDIR instead of $PWD
  * Declare package MA:same
  * Correct version mangling in watch file

 -- Wookey <wookey@debian.org>  Fri, 22 Dec 2017 14:21:14 +0000

dewalls (1.0.0+ds1-3) unstable; urgency=medium

  * Make build logs verbose
  * Correctly version qbs dependency (Closes: #884465)
  * Use dpkg-buildflags flags in qbs build

 -- Wookey <wookey@debian.org>  Sat, 16 Dec 2017 01:05:05 +0000

dewalls (1.0.0+ds1-2) unstable; urgency=medium

  * Remove unused dh-exec .install file
  * Fix pkgconfig file typo
  * Fix FTBFS with no $HOME (Closes: #884208)

 -- Wookey <wookey@debian.org>  Tue, 12 Dec 2017 02:18:59 +0000

dewalls (1.0.0+ds1-1) unstable; urgency=low

  * Initial release (Closes: #836565)

 -- Wookey <wookey@debian.org>  Sun, 04 Sep 2016 01:42:28 +0100
