=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# repack to remove embedded library

opts="dversionmangle=s/\+ds1//,repacksuffix=+ds1,filenamemangle=s|.+\/v?(\d\S*)\.tar\.gz|dewalls-$1\.tar\.gz|" \
  https://github.com/jedwards1211/dewalls/tags .*/v?(\d\S*)\.tar\.gz
